Subject: Where is bug?
From: [email-masked] (Jan Tomasek)

18 Dec 1998 22:05:22 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "[email-masked]" <[email-masked]>

Hi,
I was some week out. If was my problem discused before please,
don't flame me, direct me to right point in archives. I was
not able to find right answer to my problem.

I've this problem with simple for cycle, output of it is below.

I seems that `basename $i .TMP` is working only sometimes?
Content of /tmp is 
981212.zip                 XTMLOCAL.NDX
981212p1.htm               XTMPARAM.INI
981212p2.htm               XTMTZONE.INI
981212p3.htm               aaa/
981212p4.htm               ds.zip
981212p5.htm               mc-4.1.32-cygwinb19.tgz
Cygwin/                    mespo-a/
FarTmp0j.lkq/              ncurses-4.1-win32-bin.tgz
NetscapeCache/             ~FP0E02.TMP
SSLWSock/                  ~FP111C.TMP
SSLWSock.zip               ~FP1842.TMP
SemTel16.src/              ~FP3653.TMP
XTMLOCAL.DAT               ~FP3751.TMP

If you compare it with "program" output you will 
see that last .TMP files are missing. I test it
with diferent folders and I still geting same
result, after while basename? fails. And next problem
is that it ITSELF type exit and terminate bash?

-------------------------------------------------------------------
/tmp$ for i in *; do echo `basename $i .TMP`; done
981212.zip
981212p1.htm
981212p2.htm
981212p3.htm
981212p4.htm
981212p5.htm
Cygwin
FarTmp0j.lkq
NetscapeCache
SSLWSock
SSLWSock.zip
SemTel16.src
XTMLOCAL.DAT
XTMLOCAL.NDX
XTMPARAM.INI
XTMTZONE.INI
aaa
ds.zip
mc-4.1.32-cygwinb19.tgz
mespo-a
ncurses-4.1-win32-bin.tgz
~FP0E02
~FP111C
~FP1842

/tmp$ exit

~$
-------------------------------------------------------------------

B20 seems to be working better than B19, but with this ...

Please is any one able to help me? Thanks for any ideas
-- 
                            Jan Tomasek,          student FEL-CVUT
                            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            e-mail: [email-masked]
                            www: http://mujweb.cz/web/tomasek/   
                            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~H~

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".